Get Machine Snapshots
Get machine snapshots information
Get machine snapshots information
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/iaas/api/machines/{id}/snapshots
COPY
Path Parameters
string
id
Required
The ID of the machine.
Query Parameters
string
apiVersion
Optional
The version of the API in yyyy-MM-dd format (UTC). For versioning information refer to /iaas/api/about
Responses
200
Successful operation
[
{
"id": "9.0E49",
"createdAt": "2012-09-27",
"updatedAt": "2012-09-27",
"owner": "[email protected]",
"ownerType": "ad_group",
"orgId": "42413b31-1716-477e-9a88-9dc1c3cb1cdf",
"_links": {
"empty": false
},
"name": "my-name",
"description": "my-description",
"isCurrent": false
}
]
array of
object
Represents a machine snapshot
403
Forbidden
Returns
ServiceErrorResponse
of type(s)
application/json
{
"message": "string",
"messageId": "string",
"stackTrace": [
"string"
],
"statusCode": 0,
"errorCode": 0,
"details": [
"string"
],
"serverErrorId": "string",
"documentKind": "string",
"internalErrorCode": 0
}
string
message
Optional
message
string
messageId
Optional
messageId
array of
string
stackTrace
Optional
stackTrace
integer As int32
As int32
statusCode
Optional
statusCode
integer As int32
As int32
errorCode
Optional
errorCode
array of
string
details
Optional
details
string
serverErrorId
Optional
serverErrorId
string
documentKind
Optional
documentKind
integer As int32
As int32
internalErrorCode
Optional
internalErrorCode
404
Not found
Returns
ServiceErrorResponse
of type(s)
application/json
{
"message": "string",
"messageId": "string",
"stackTrace": [
"string"
],
"statusCode": 0,
"errorCode": 0,
"details": [
"string"
],
"serverErrorId": "string",
"documentKind": "string",
"internalErrorCode": 0
}
string
message
Optional
message
string
messageId
Optional
messageId
array of
string
stackTrace
Optional
stackTrace
integer As int32
As int32
statusCode
Optional
statusCode
integer As int32
As int32
errorCode
Optional
errorCode
array of
string
details
Optional
details
string
serverErrorId
Optional
serverErrorId
string
documentKind
Optional
documentKind
integer As int32
As int32
internalErrorCode
Optional
internalErrorCode
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/iaas/api/machines/{id}/snapshots
On This Page
Compute Operations
POST
Unregister
POST
Suspend Machine
POST
Create Machine Snapshot
POST
Shutdown Machine
POST
Revert Machine Snapshot
POST
Restart Machine
POST
Resize Machine
POST
Reset Machine
POST
Reboot Machine
POST
Power On Machine
POST
Power Off Machine
GET
Get Machines
POST
Create Machine
GET
Get Machine
DELETE
Delete Machine
PATCH
Update Machine
GET
Get Machine Snapshot
DELETE
Delete Machine Snapshot
GET
Get Machine Snapshots